<?php
/**
 * @version     1.0.0
 * @package     com_jadmins
 * @copyright   Copyright (C) 2014 Jadmins.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      jadmins.com <mail@jadmins.com> - http://www.jadmins.com/
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View class for a list of Jadmins.
 */
class JadminsViewPost extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;
  protected $action;
  protected $the_title;
  protected $ja_config;
  protected $form;
	/**
	 * Display the view
	 */
	public function display($tpl = null)
	{
		$this->state		= $this->get('State');
		$this->form		= $this->get('Form');
		

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			throw new Exception(implode("\n", $errors));
		}
        
		JadminsBackendHelper::addSubmenu('post');
    $this->the_title='Submit a New Jadmins Entry';
    
    $jadmin=new jadmin();
    $this->ja_config=$jadmin->config;
    $jadmin->checkDomainName();
    $action=isset($_POST['action'])?$_POST['action']:"";
    
    if($action=='submit')
    {
      $this->action=$action;
      $jadmin->submitNewPost();
    }
		$this->addToolbar();
        
        $this->sidebar = JHtmlSidebar::render();
		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @since	1.6
	 */
	protected function addToolbar()
	{
		require_once JPATH_COMPONENT.'/helpers/jadmins.php';

		$state	= $this->get('State');
		$canDo	= JadminsBackendHelper::getActions($state->get('filter.category_id'));

		JToolBarHelper::title($this->the_title, 'post.png');
/*
        //Check if the form exists before showing the add/edit buttons
        $formPath = JPATH_COMPONENT_ADMINISTRATOR.'/views/follow';
        if (file_exists($formPath)) {

            if ($canDo->get('core.create')) {
			    JToolBarHelper::addNew('follow.add','JTOOLBAR_NEW');
		    }

		    if ($canDo->get('core.edit') && isset($this->items[0])) {
			    JToolBarHelper::editList('follow.edit','JTOOLBAR_EDIT');
		    }

        }

		if ($canDo->get('core.edit.state')) {

            if (isset($this->items[0]->state)) {
			    JToolBarHelper::divider();
			    JToolBarHelper::custom('follows.publish', 'publish.png', 'publish_f2.png','JTOOLBAR_PUBLISH', true);
			    JToolBarHelper::custom('follows.unpublish', 'unpublish.png', 'unpublish_f2.png', 'JTOOLBAR_UNPUBLISH', true);
            } else if (isset($this->items[0])) {
                //If this component does not use state then show a direct delete button as we can not trash
                JToolBarHelper::deleteList('', 'follows.delete','JTOOLBAR_DELETE');
            }

            if (isset($this->items[0]->state)) {
			    JToolBarHelper::divider();
			    JToolBarHelper::archiveList('follows.archive','JTOOLBAR_ARCHIVE');
            }
            if (isset($this->items[0]->checked_out)) {
            	JToolBarHelper::custom('follows.checkin', 'checkin.png', 'checkin_f2.png', 'JTOOLBAR_CHECKIN', true);
            }
		}
        
        //Show trash and delete for components that uses the state field
        if (isset($this->items[0]->state)) {
		    if ($state->get('filter.state') == -2 && $canDo->get('core.delete')) {
			    JToolBarHelper::deleteList('', 'follows.delete','JTOOLBAR_EMPTY_TRASH');
			    JToolBarHelper::divider();
		    } else if ($canDo->get('core.edit.state')) {
			    JToolBarHelper::trash('follows.trash','JTOOLBAR_TRASH');
			    JToolBarHelper::divider();
		    }
        }
*/
		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_jadmins');
		}
        
        //Set sidebar action - New in 3.0
		JHtmlSidebar::setAction('index.php?option=com_jadmins&view=post');
        
        $this->extra_sidebar = '';
        //
        
	}
    
	protected function getSortFields()
	{
		return array(
		);
	}

    
}
